From: abair@comland.com (Alan Bair)
Subject: Re: L68K: Errors with 2.1.42 & Frame buffer patches
To: linux-m68k@phil.uni-sb.de
Date: Sat, 14 Jun 1997 18:35:01 -0500 (CDT)
In-Reply-To: <m0wcjMR-0000qeC@localhost> from "Alan Bair" at Jun 13, 97 10:18:40 pm
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Hi,

I'm back with another failure and fixes for both :-)

> * drivers/char/selection.c - The atedge function was missing
> 	the argument video_size_row.
> 
> * same file - Getting the following errors, which I think are
> 	related to the variable fg_console, but I cannot figure
> 	out what the problem is. Looks kinda like those x, y, color
> 	problems.

Turns out to be just like the "color" variable problem, video_size_row
is a macro. Here is a patch for both errors above.

--- linux-2.1.42/drivers/char/selection.c.ORG   Fri Jun 13 20:52:01 1997
+++ linux-2.1.42/drivers/char/selection.c       Sat Jun 14 13:41:16 1997
@@ -102,9 +102,9 @@
 }

 /* does screen address p correspond to character at LH/RH edge of screen? */
-static inline int atedge(const int p)
+static inline int atedge(const int p, const int v_s_r)
 {
-       return (!(p % video_size_row) || !((p + 2) % video_size_row));
+       return (!(p % v_s_r) || !((p + 2) % v_s_r));
 }

 /* constrain v such that v <= u */

After fixing that one, I ran into one where the final link could 
not resolve virtual_fb_init in fbmem.o. Here is the patch for that.

--- linux-2.1.42/drivers/char/fbmem.c.ORG       Sat Jun 14 18:02:33 1997
+++ linux-2.1.42/drivers/char/fbmem.c   Sat Jun 14 18:04:08 1997
@@ -458,7 +458,7 @@
     clgen_fb_init(kmem_start);
 #endif
 #ifdef CONFIG_FB_VIRTUAL
-    virtual_fb_init(kmem_start);
+    vfb_fb_init(kmem_start);
 #endif
     return(num_registered_fb);
 }
------------------

Now I just need to try the new kernel....

Alan

